import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot und MouseInfo)

public class Peetie extends Actor
{
    private int speed = 5;

    public void act() 
    {
        this.steuerung();
        this.mitDrohneInteragieren();
    }   

    public void mitDrohneInteragieren() {
        if(this.isTouching(CrashedDrone.class) && Greenfoot.isKeyDown("space")) {
            CrashedDrone c = (CrashedDrone)this.getOneIntersectingObject(CrashedDrone.class);
            
            /**
             * Ihr JOB:
             * - Den Ladezustand ausgeben in Form »Ladezustand: 33%«
             * - Wenn die Drohne von Syberdrone ist, Ausgabe »Achtung - Drohne von Syberdrone!«,
             *          sonst »Unbekannter Hersteller.«
             * - Wenn die Drohne noch gefährlich ist, Ausgabe »Drohne noch gefährlich!«,
             *          sonst »Drohne hat Totalschaden.«
             * - Wenn die Drohne von Syberdrone ist UND noch gefährlich ist, den Ladezustand
             *          auf 0 setzen, Gefahrstatus entfernen (auf false setzen) und Ausgabe »Drohne entschärft«.
             * - Prüfen, ob die Radioaktivität > 5000 ist (Klassenvariable der Welt). Entsprechend
             *          Ausgabe »BEEP BEEP - Hohe Radioaktivität!«, oder »Atmosphäre ungefährlich.«
             * 
             */
            
            
            
            this.setLocation(488, 452);
        }
    }

    public void textausgeben(String pText) {
        this.getWorld().showText(pText, 640, 300);
        Greenfoot.delay(70);
    }

    public void steuerung() {
        if(Greenfoot.isKeyDown("a")) {
            this.setLocation(this.getX() - this.speed, this.getY());
        }
        if(Greenfoot.isKeyDown("d")) {
            this.setLocation(this.getX() + this.speed, this.getY());
        }
        if(Greenfoot.isKeyDown("w")) {
            this.setLocation(this.getX(), this.getY() - this.speed);
        }
        if(Greenfoot.isKeyDown("s")) {
            this.setLocation(this.getX(), this.getY() + this.speed);
        }
    }
}